Subject: Re: bug#42265: 28.0.50; different user experience with/out native-comp

From: Gregor Zattler <[email-masked]>
Date: Wed, 08 Jul 2020 16:51:25 +0200

Hi Andrea,
* Andrea Corallo <[email-masked]> [2020-07-08; 13:17]:
> Gregor Zattler <[email-masked]> writes:
>> I build emacs twice from feature/native-comp as of commit
>> 2593bbee51f4d15d3a4fc1d4e2e3b215222f783a : without and then
>> with --with-nativecomp and NATIVE_FAST_BOOT=1
>>
>> I experience two major differences between these builds:
>>
>> 1. I use emacs-notmuch for mail which shows emails in
>>    searches with tags which are colored, exept when I use
>>    the native-comp version then there are no colors.
>>    Otherwise it works fine.
>>
>> 2. When I open the first org-mode file of the session with
>>    the native-comp build it appears without colors /
>>    different faces on headlines and org-mode links
>>    [[id:foobar][this is a link, only the description should
>>    be seen]] are shown in full as opposed colorized and only
>>    as the descriptive part.  The links work though and if I
>>    use one which opens another org-mode file this is shown
>>    fine.
>>    Whereas if I open the first org-mode file in the build
>>    without --with-nativecomp and NATIVE_FAST_BOOT=1 it shows
>>    up fine.
>>
>> Sorry, this heavily depends on my configuration and
>> therefore I have no receipt with emacs -Q.
>>
>> Please ignore/close if this bug report is too unclear or
>> fixing no priority, I can live very well with a "normal"
>> build of emacs.

> Just a question to understand where to start investigating, have you
> tried compiling without NATIVE_FAST_BOOT and see if it makes a
> difference?

with --with-nativecomp but without NATIVE_FAST_BOOT=1 ?

No.  But I did use it long enough and restartet emacs
several times, so all the eln files could have been
compiled.  Actually I realized the problem over a week ago
and used emacs anyway for most of the time but redid the
test with the two builds yesterday and today.

Is this allready sufficient or should I give it a try
with --with-nativecomp but without NATIVE_FAST_BOOT=1 ?

Ciao,
--
Gregor